org.apache.ignite.internal.processors.service

## Class GridServiceAssignments

- java.lang.Object
- - org.apache.ignite.internal.processors.service.GridServiceAssignments

All Implemented Interfaces:
  Serializable, GridCacheInternal

Deprecated.
Services internals use messages for deployment management instead of the utility cache, since Ignite 2.8.

    @Deprecated
    public class GridServiceAssignments
    extends Object
    implements Serializable, GridCacheInternal

Service per-node assignment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceAssignments(ServiceConfiguration cfg, UUID nodeId, long topVer)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object` `affinityKey()` Deprecated.
`Map<UUID,Integer>` `assigns()` Deprecated.
`void` `assigns(Map<UUID,Integer> assigns)` Deprecated.
`String` `cacheName()` Deprecated.
`ServiceConfiguration` `configuration()` Deprecated.
`String` `name()` Deprecated.
`IgnitePredicate<ClusterNode>` `nodeFilter()` Deprecated.
`UUID` `nodeId()` Deprecated.
`long` `topologyVersion()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceAssignments

    public GridServiceAssignments(ServiceConfiguration cfg,
                                  UUID nodeId,
                                  long topVer)

Deprecated.

Parameters:
  `cfg` - Configuration.
  `nodeId` - Node ID.
  `topVer` - Topology version.

### Method Detail

#### configuration

    public ServiceConfiguration configuration()

Deprecated.

Returns:
  Configuration.

#### name

    public String name()

Deprecated.

Returns:
  Service name.

#### topologyVersion

    public long topologyVersion()

Deprecated.

Returns:
  Topology version.

#### cacheName

    public String cacheName()

Deprecated.

Returns:
  Cache name.

#### affinityKey

    public Object affinityKey()

Deprecated.

Returns:
  Affinity key.

#### nodeId

    public UUID nodeId()

Deprecated.

Returns:
  Origin node ID.

#### nodeFilter

    public IgnitePredicate<ClusterNode> nodeFilter()

Deprecated.

Returns:
  Node filter.

#### assigns

    public Map<UUID,Integer> assigns()

Deprecated.

Returns:
  Assignments.

#### assigns

    public void assigns(Map<UUID,Integer> assigns)

Deprecated.

Parameters:
  `assigns` - Assignments.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020